> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synctera.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Simulate OCT

> This Original Credit Transaction (OCT) enables the cardholder to receive funds on the specified card from an external source via the card network. Use this endpoint to simulate a transaction that is similar to a wire transfer and not linked to any purchase.

Simulate an OCT by including the `card_token`, `amount`, `mid`, and `type` in your request.




## OpenAPI

````yaml openapi-v1.json post /cards/transaction_simulations/financial/original_credit
openapi: 3.0.3
info:
  description: >-
    This is the official reference documentation for Synctera APIs. If you need
    something specific or have a question, <a class='text-blue-600'
    href='https://synctera.com/contact-us' target='_blank'
    rel='noreferrer'>contact us</a>.</p>
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  title: Synctera API
  version: 1.181.0
servers:
  - description: Production
    url: https://api.synctera.com/v1
  - description: Sandbox (no real world financial impact)
    url: https://api-sandbox.synctera.com/v1
security:
  - bearerAuth: []
tags:
  - description: |
      Requests to create and manage Rewards
    name: Rewards (beta)
  - description: Requests to generate simulated webhooks
    name: Card Webhook Simulations
  - description: >-
      Testing endpoints to simulate in-store cash deposits. Available in sandbox
      environments only.
    name: In-Store Cash Deposit Simulations
  - description: Create and manage spending controls
    name: Spend Controls (beta)
  - description: Rates
    name: Rates
  - description: Requests to create and manage webhooks
    name: Webhooks
  - description: Tenant Config
    name: Tenant Config
  - description: FDX authentication and data transfer using Plaid Core Exchange
    name: Plaid Core Exchange (beta)
  - description: Create and manage disputes
    name: Disputes
  - description: Requests to simulate card payments
    name: Card Simulations
  - description: |
      Manage fee products and fee configs for automated fee collection
    name: Fee Products
  - description: Apple Pay APIs
    name: Apple Pay
  - description: Lending Config
    name: Lending Config
  - description: Payments related to lending accounts
    name: Payments
  - description: Manage negative balance processes
    name: Negative Balance
  - description: Configuration for mapping LoanPro events to Payola transaction parameters
    name: LoanPro Transaction Event Config
  - description: Requests to generate simulated transactions
    name: Cash Transaction Simulations (alpha)
  - description: Create and manage transactions
    name: Transactions (beta)
  - description: Autopay payment records for billing periods
    name: Autopays
  - description: Create and manage accounts
    name: Accounts
  - description: |
      Requests to create and manage batch payments
    name: Batch Payments (alpha)
  - description: Billing rates
    name: Billing Rates
  - description: Bank Delinquency Configuration
    name: Bank Delinquency Configuration
  - description: >-
      Rules that map a posted payment transaction (bank/partner + transaction
      attributes) to a regulatory payment code. NULL match columns act as
      wildcards.
    name: Payment Code Configuration
  - description: Create and manage Synctera Pay templates
    name: SyncteraPay
  - description: |
      Manage reward products and reward configs for automated cashback rewards
    name: Reward Products
  - description: Requests to create and manage card disputes
    name: Card Disputes
  - description: >-
      Per bank/partner account-type mapping to FFIEC collateral codes used for
      regulatory call report furnishment.
    name: Collateral Code Configuration
  - description: Bulk card issuance
    name: Bulk Issuance
  - description: Autopay configuration management for lending accounts
    name: Autopay Configs
  - description: Request to create and manage exclusions
    name: Statements
  - description: Create and manage barcodes for in-store cash deposits
    name: In-Store Cash Deposits
  - description: Customer Service Details for disputes and billing inquiries
    name: Customer Service Details
  - description: Create a credit application.
    name: Applications (beta)
  - description: Requests to generate simulated transactions
    name: Card Transaction Simulations
  - description: Billing period summaries
    name: Billing Period Summaries
  - description: Requests to issue and manage cards
    name: Cards
  - description: Push and pull from cards
    name: External Cards
  - description: |
      Requests to create and manage fees
    name: Fees (beta)
paths:
  /cards/transaction_simulations/financial/original_credit:
    summary: Simulate OCT
    post:
      tags:
        - Card Transaction Simulations
      summary: Simulate OCT
      description: >
        This Original Credit Transaction (OCT) enables the cardholder to receive
        funds on the specified card from an external source via the card
        network. Use this endpoint to simulate a transaction that is similar to
        a wire transfer and not linked to any purchase.


        Simulate an OCT by including the `card_token`, `amount`, `mid`, and
        `type` in your request.
      operationId: simulateOriginalCredit
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/original_credit_request_model'
        description: OCT details
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/simulation_response_model'
          description: Success
        '400':
          $ref: '#/components/responses/bad_request'
        '401':
          $ref: '#/components/responses/unauthorized'
        '403':
          $ref: '#/components/responses/forbidden'
        '500':
          $ref: '#/components/responses/internal_server_error'
components:
  schemas:
    original_credit_request_model:
      properties:
        amount:
          description: >-
            The amount of the transaction in the smallest whole denomination of
            the applicable currency (eg. For USD use cents)
          type: integer
        card_acceptor:
          $ref: '#/components/schemas/card_acceptor_model'
        card_id:
          format: uuid
          type: string
        mid:
          maxLength: 50
          minLength: 1
          type: string
        screening_score:
          type: string
        sender_data:
          $ref: '#/components/schemas/original_credit_sender_data'
        transactionPurpose:
          type: string
        type:
          enum:
            - account_to_account
            - bill_payment
            - business_to_business
            - card_bill_payment
            - cash_claim
            - cash_in
            - cash_out
            - disbursement
            - face_to_face_merchant_payment
            - gambling_payout
            - government_disbursement
            - government_payment
            - loyalty
            - merchant_disbursement
            - mobile_air_time_payment
            - money_transfer_by_bank
            - money_transfer_by_merchant
            - online_gambling_payout
            - payments_goods_services
            - pension_disbursement
            - person_to_person
            - prepaid
            - prepaid_loads
            - wallet_transfer
          type: string
      required:
        - amount
        - card_id
        - mid
        - type
      type: object
    simulation_response_model:
      type: object
    card_acceptor_model:
      example:
        address: address
        city: city
        country: country
        ecommerce_security_level_indicator: ecommerce_security_level_indicator
        mcc: mcc
        name: name
        partial_approval_capable: false
        state: state
        zip: zip
      properties:
        address:
          maxLength: 255
          type: string
        city:
          maxLength: 40
          type: string
        country:
          type: string
        ecommerce_security_level_indicator:
          type: string
        mcc:
          maxLength: 5
          type: string
        name:
          maxLength: 50
          type: string
        partial_approval_capable:
          default: false
          type: boolean
        state:
          type: string
        zip:
          maxLength: 10
          type: string
      type: object
    original_credit_sender_data:
      properties:
        funding_source:
          enum:
            - cash
            - credit
            - debit
            - deposit_account
            - mobile_money_payment
            - non_visa_credit
            - prepaid
          type: string
        sender_account_number:
          type: string
        sender_account_type:
          enum:
            - bank_account_number_and_identification_code
            - card_account
            - email
            - iban
            - other
            - phone_number
            - rtn_bank_account
            - social_network_id
            - wallet_id
          type: string
        sender_address:
          type: string
        sender_city:
          type: string
        sender_country:
          type: string
        sender_name:
          type: string
        sender_reference_number:
          type: string
        sender_state:
          type: string
        transaction_purpose:
          enum:
            - crypto_currency
            - education
            - emergency_need
            - family_support
            - gifts
            - labor_transfers
            - lending
            - medical_treatment
            - other
            - salary
            - savings
            - travel
          type: string
        unique_transaction_reference_number:
          maxLength: 17
          minLength: 1
          type: string
      required:
        - funding_source
      type: object
    error:
      description: Synctera error responses in API v1 implement a custom error schema.
      properties:
        code:
          description: >
            A machine-readable string that identifies the error for programmatic
            use.
          example: BAD_REQUEST_BODY
          type: string
        detail:
          description: |
            A human-readable string explaining this particular error.
          example: 'Missing required fields: first_name, dob'
          type: string
        status:
          description: HTTP status code for this response
          example: 400
          type: integer
      title: Synctera error response
      type: object
  responses:
    bad_request:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Bad request
    unauthorized:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Unauthorized
    forbidden:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Forbidden
    internal_server_error:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Internal server error
  securitySchemes:
    bearerAuth:
      bearerFormat: api_key
      scheme: bearer
      type: http

````